
Redmine - Defect #20249

After upgrade to Redmine 3 search doesn't work

2015-07-06 10:26 - Plam Sim

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

Hello,

after upgrading from 2.6.1 to 3.0.3 search function doesn't work.

On the web screen I have the error

"Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance."

In the apache2 log I have:

"App 19004 stderr: NoMethodError (undefined method `search_results_per_page' for #<Class:0x000000044f0fe8>):

App 19004 stderr:   app/controllers/search_controller.rb:69:in `index' "

I use admin user having the necessary permissions.

My components:

OS: Ubuntu 12.04.5 LTS

Apache 2.2.22

Environment:

Redmine version                3.0.3.stable

Ruby version                   1.9.3-p545 (2014-02-24) [x86_64-linux]

Rails version                  4.2.1

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_contacts               4.0.1

redmine_contacts_invoices      4.0.0

History

#1 - 2015-07-06 10:48 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try without plugins.

#2 - 2015-07-06 15:05 - Go MAEDA

- Priority changed from High to Normal

Have you updated files in config directory?

It seems that config/settings.yml on your system is still 2.6.1. Please update the files in config directory to 3.0.3 and try again.

#3 - 2015-07-07 08:07 - Plam Sim

Thank you very much for the prompt reaction! You are right. I kept the old settings.yml and this was the problem. After replacing it with the new file the
search function started working normally. The issue is solved.

Go MAEDA wrote:

Have you updated files in config directory?

It seems that config/settings.yml on your system is still 2.6.1. Please update the files in config directory to 3.0.3 and try again.

#4 - 2015-07-07 08:17 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
